Loading...
Searching...
No Matches
juce::midi_ci::Message::NAK Struct Reference

## Detailed Description

See the MIDI-CI specification.

The documentation for this struct was generated from the following file:

- juce_midi_ci/ci/juce_CIMessages.h

## Public Member Functions

String | getMessageTextAsString () const
| Convenience function that returns the message's text as a String.
auto | tie () const
bool | operator== (const NAK &x) const
bool | operator!= (const NAK &x) const

## Public Attributes

std::byte | originalCategory {}
| Only valid if the message header specifies version 0x02 or greater.
std::byte | statusCode {}
| Only valid if the message header specifies version 0x02 or greater.
std::byte | statusData {}
| Only valid if the message header specifies version 0x02 or greater.
std::array< std::byte, 5 > | details {}
| Only valid if the message header specifies version 0x02 or greater.
Span< const std::byte > | messageText {}
| Only valid if the message header specifies version 0x02 or greater.

## Member Functions

## getMessageTextAsString()

String juce::midi_ci::Message::NAK::getMessageTextAsString | ( |  | ) | const

inline

Convenience function that returns the message's text as a String.

References messageText, and juce::midi_ci::Encodings::stringFrom7BitText().

## tie()

auto juce::midi_ci::Message::NAK::tie | ( |  | ) | const

inline

References details, juce::midi_ci::Message::makeComparableRange(), messageText, originalCategory, statusCode, and statusData.

Referenced by operator==().

## operator==()

bool juce::midi_ci::Message::NAK::operator== | ( | const NAK & | x | ) | const

inline

References tie(), and x.

Referenced by operator!=().

## operator!=()

bool juce::midi_ci::Message::NAK::operator!= | ( | const NAK & | x | ) | const

inline

References operator==(), and x.

## Member Data Documentation

## originalCategory

std::byte juce::midi_ci::Message::NAK::originalCategory {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## statusCode

std::byte juce::midi_ci::Message::NAK::statusCode {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## statusData

std::byte juce::midi_ci::Message::NAK::statusData {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## details

std::array<std::byte, 5> juce::midi_ci::Message::NAK::details {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by tie().

## messageText

Span<const std::byte> juce::midi_ci::Message::NAK::messageText {}

Only valid if the message header specifies version 0x02 or greater.

Referenced by getMessageTextAsString(), and tie().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited